import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.util.*;

class Program extends JFrame {


	private JButton trans = new JButton("Transkrypcja");
	private JButton pho = new JButton("Odsuchaj");	
	private JButton koniec = new JButton("Zakocz");
	private JLabel lab1 = new JLabel("Wpisz tekst");
	private JLabel lab2 = new JLabel("Tekst po transkrypcji");
	private JTextArea text1 = new JTextArea();
	private JTextArea text2 = new JTextArea();
	private JScrollPane skrol1 = new JScrollPane(text1, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
		JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    private JScrollPane skrol2 = new JScrollPane(text2, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
		JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
			


    public Program()
    {
		addWindowListener(new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				dispose();
				System.exit(0);
			}
		});
		
		getContentPane().setLayout(null);
		
		lab1.setLocation(200, 10);
		lab1.setSize(400, 20);
		
		skrol1.setLocation(10, 30);
		skrol1.setSize(490, 200);
		
		lab2.setLocation(200, 250);
		lab2.setSize(400, 20);
		
		skrol2.setLocation(10, 270);
		skrol2.setSize(490, 200);
		text2.setEditable(false);
		
		trans.setLocation(520,50);
		trans.setSize(150,50);
			
		pho.setLocation(520,200);
		pho.setSize(150,50);
		
		koniec.setLocation(520,350);
		koniec.setSize(150,50);
		///*
		text1.setText("Konwersja tekstu na mow otwiera nowe moliwoci, niedostpne\n"+
		              "w tradycyjnych systemach gosowych. Usugi katalogowe, informatory\n"+
					  "turystyczne, tematyczne serwisy informacyjne czy portale gosowe,\n"+
					  "to tylko nieliczne zastosowania tej technologii.");		
		//*/
		//text1.setText("Zdanie testowe.");
		getContentPane().add(lab1);
		getContentPane().add(lab2);
		getContentPane().add(skrol1);
		getContentPane().add(skrol2);
		getContentPane().add(trans);
		getContentPane().add(pho);
	    getContentPane().add(koniec);
		
		koniec.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					System.exit(0);
				}
		});
		
		trans.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					transkrypcja();
				}
			});
			
		pho.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					//System.out.println("odsluch");
					try
					{
						Runtime runtime = Runtime.getRuntime();
						Process proces = runtime.exec("phoplayer.exe database=pl1 "+"mowa.pho");
					}
					catch(IOException e){e.printStackTrace();}
				}
			});
    }


	public static void main(String args[]) {
	
		Program Okienko = new Program();
		Okienko.setSize(700, 500);
		Okienko.setTitle("Transkrypcja Fonetyczna");
		Okienko.setVisible(true);
	
	}
	
	private void transkrypcja()
	{
		try
		{		
		   FileOutputStream fos = new FileOutputStream("mowa.pho");
		   OutputStreamWriter osw = new OutputStreamWriter(fos);
		   BufferedWriter bw = new BufferedWriter(osw);
		   
		   
		   
		   char znak;                         //sprawdzana litera
		   String sampa;                      // kod sampa
		   String sampa2;                     // dla podwojnych znakow np. -> em sampa = e sampa2 = m
		   int czas = 70, base = 220,czas2 = 70;  // zmienne do ustawiania czasu trwania gloski
		   int fo=220,a1=0,a2=0;                   // i intonacji
		   float tmp;
		   float tmp2;
		   int mark = 0;                      // oznaczenie konca wrazu/zdania do ubezdzwiecznienia
		   int typZdania = 0;
		   int ktoryWyraz =1;
		   int counter = -1;                   //aktualna litera w wyrazie
		   int litery = 0;                    // iosc liter w wyrazie
		   int literka = 0;
		   int bezZnaku = 1;
		   String txt = text1.getText();      // caly tekst
		   txt = txt.toLowerCase();
		   text2.setText(null); 
		   bw.write("_ 100");
		   bw.newLine();
		   
		   if (txt.length()>0)
		   {
		   	   if (txt.charAt(txt.length()-1) == '!')
			   {
			   	base = 250;
			   	typZdania = 1;
				bezZnaku = 0;
			   }
			   if (txt.charAt(txt.length()-1) == '.')
			   {
			   	base = 220;
			   	typZdania = 0;
				bezZnaku = 0;
			   }
			   else if (txt.charAt(txt.length()-1) == '?')
			   {
			   	base = 260;
			   	typZdania = -1;
				bezZnaku = 0;
			   }
		   }
		   System.out.println("Typ zdania: " + typZdania);
		   
		   int wyrazy = policzWyrazy(txt); // ile wyrazow
		   System.out.println("Wyrazow: "+wyrazy);
		   
		   litery = policzLitery(txt, 0);
		   //System.out.println(litery);
		   
		   
		   
		   for(int i = 0;i<txt.length();i++)
		   {
			   znak = txt.charAt(i);
			   sampa = "none";
			   sampa2 = "none";
			   
			 literka = i-counter;
			 
			 if (litery >=3)
			 {	
				if (literka >1 && (literka <= litery/2  ||(literka-1 <= litery/2 &&  litery%2 != 0 ))) 
				{
					tmp = 20*((float)literka/ ((float)litery/2));
					a2 = (int) tmp;
					if (a2>20) a2 = 20;
				}
				else if (literka >1 && literka < litery && (literka >= litery/2 ||(literka-1 >= litery/2 &&  litery%2 != 0 ))) 
				{
					tmp = 40*(((float)litery -(float)literka)/(float)literka);
					a2 = (int) tmp;
					if (a2>20) a2 = 20;
				}
			 }
			   
		  
		     if (typZdania == 0 && i > 0)
		     {			 	
				tmp2 = (float)( ( (float) literka/litery) * 40/wyrazy );
				a1 =  (int)tmp2;
				a1 = a1 + ((ktoryWyraz-1) * 40/wyrazy);
				a1 = a1 - (2*a1);	   
		     }
			 
			 /*
			 if (typZdania == 0 && i > 0)
		     {	
			 	if (wyrazy - ktoryWyraz <=1)			 		 	
				{			 		 	
				 tmp2 = (float)( ( (float) literka/litery) * 20 );
				 a1 =  (int)tmp2;
				 if (wyrazy - ktoryWyraz ==0)
				 {
				 a1 = a1 + 20;
				 }
				 a1 = a1 - (2*a1);	   
				}
		     }
		   */
		     if (typZdania == 1)
		     {
			 	if (ktoryWyraz == 1)
				{
					a1 = 0;
				}
				else if (ktoryWyraz >= 2)
				{
					tmp2 = (float)( ( (float) literka/litery) * 30/(wyrazy-1) );
				    a1 =  (int)tmp2;
				    a1 = a1 + ((ktoryWyraz-2) * 30/(wyrazy-1));
				    a1 = a1 - (2*a1);	 
				}
			 
			 
		     }
		   
		     if (typZdania == -1)
		     {
			 	if (wyrazy >2 && i>0)
				{
					if (ktoryWyraz == 1)
					{
						tmp2 = (float)( ( (float) literka/litery) * 15 );
						a1 =  (int)tmp2;
						a1 = a1 - (2*a1);					
					}
					else if (ktoryWyraz == 2)
					{
						tmp2 = (float)( ( (float) literka/litery) * 20 );
						a1 =  (int)tmp2+20;
						a1 = a1 - (2*a1);							
					}
					else if (wyrazy - ktoryWyraz == 0)
					{
						tmp2 = (float)( ( (float) literka/litery) * 40 );
						a1 =  (int)tmp2;
						a1 = -40 + a1;
					}
					else a1 = -40;
				}
				else if (wyrazy <= 2)
				{
					if (ktoryWyraz == 1)
					{
						tmp2 = (float)( ( (float) literka/litery) * 40 );
						a1 =  (int)tmp2;
						a1 = a1 - (2*a1);							
					}
					else if (ktoryWyraz == 2)
					{
						tmp2 = (float)( ( (float) literka/litery) * 40 );
						a1 =  (int)tmp2;
						a1 = -40 + a1;
					}
				}
		     }
			   
			   
			   //sprawdzanie czy koniec wyrazu/zdania do ubezdzwiecznienia
		    if (txt.length()>i+1 && (txt.charAt(i+1) == ' '|| txt.charAt(i+1) == '\n'|| txt.charAt(i+1) == '.' 
		        || txt.charAt(i+1) == '?' || txt.charAt(i+1) == '!' || txt.charAt(i+1) == ','))
		    {
			    mark = 1;		
		    }
		
			   
			   //samogloski
			   
			   if (znak == 'a')
			   {
			   	czas = 60; fo = base + a1 + a2;
			   	sampa = "a";
			   }
			   
			   if (znak == 'e')
			   {
			   	czas = 60; fo = base + a1 + a2;
				sampa = "e";
			   }
			   
			   if (znak == 'i')
			   {
			   	if (txt.length()>i+1 && (txt.charAt(i+1)== 'a' || txt.charAt(i+1)=='o' || txt.charAt(i+1)=='u'
				                      || txt.charAt(i+1)=='e' || txt.charAt(i+1)=='y') )
				{
					if ((i>0 && (txt.charAt(i-1)== 'm' || txt.charAt(i-1)=='f' || txt.charAt(i-1)=='w' 
					         || txt.charAt(i-1)=='h' || txt.charAt(i-1)=='l' || txt.charAt(i-1)=='r'))
							 || (i>1 && txt.charAt(i-2)=='c' && txt.charAt(i-1)=='h'))
					{
						czas = 40; fo = base + a1 + a2;
						sampa = "j";
					}
					else
					{
						czas = 60; fo = base + a1 + a2;
					    sampa = "i";
					}
				}
				else if (i>0 && (txt.charAt(i-1)== 'a' || txt.charAt(i-1)=='o' || txt.charAt(i-1)=='u'
			           	  || txt.charAt(i-1)=='e' || txt.charAt(i-1)=='y'))
				{
					if (txt.length()>i+1 && txt.charAt(i+1)== ' ' || i+1 == txt.length() )
					{
						czas = 40; fo = base + a1 + a2;
						sampa = "j";
						czas2 = 60;
						sampa2 = "i";
					}
					else
					{
						czas = 60; fo = base + a1 + a2;
					    sampa = "i";
					}
				}						  
				else
				{
					czas = 60; fo = base + a1 + a2;
					sampa = "i";
				}
			   }
			   
			   ///*
			   if (znak == 'i' && txt.length()>i+1 && (txt.charAt(i+1)== 'i'))						  
			   {
				if ((i>0 && (txt.charAt(i-1)== 'm' || txt.charAt(i-1)=='f' || txt.charAt(i-1)=='w' 
				         || txt.charAt(i-1)=='h' || txt.charAt(i-1)=='l' || txt.charAt(i-1)=='r'))
						 || (i>1 && txt.charAt(i-2)=='c' && txt.charAt(i-1)=='h'))
				{
					czas = 40; fo = base + a1 + a2;
					sampa = "j";
					czas2 = 60;
					sampa2 = "i";
					i++;
				}				
			   }
				//*/
			   
			   if (znak == 'o')
			   {
			   	czas = 60; fo = base + a1 + a2;
			   	sampa = "o";
			   }
			   
			   if (znak == 'u' || znak == '')
			   {
			   	if (i>0 && (txt.charAt(i-1)== 'a' ||txt.charAt(i-1)=='e'))  
				{
				   czas = 60; fo = base + a1 + a2;
				   sampa = "w";
				}
				   else
				   {
				   	czas = 60; fo = base + a1 + a2;
				    sampa = "u";
				   }
			   }
			   
			   if (znak == 'y')
			   {
			   	czas = 60; 
				fo = base + a1 + a2;
			   	sampa = "I";
			   }   
			   
			   
			   if (znak == '')
			   {
			   	if (txt.length()>i+1 && (txt.charAt(i+1)== 'p' || txt.charAt(i+1)=='b') )
				{
					czas = 60; fo = base + a1 + a2;
					sampa = "o";
					czas2 = 80;
					sampa2 = "m";
				}
				else if (txt.length()>i+1 && (txt.charAt(i+1)== 'k' || txt.charAt(i+1)=='g') )
				{
					czas = 60; fo = base + a1 + a2;
					sampa = "o";
					czas2 = 80;
					sampa2 = "N";
				}
				else if (txt.length()>i+1 && (txt.charAt(i+1)== 'l' || txt.charAt(i+1)=='') )
				{
					czas = 60; fo = base + a1 + a2;
					sampa = "o";
				}
				else if ( (txt.length()>i+1 && (txt.charAt(i+1)== 't' || txt.charAt(i+1)=='d' || txt.charAt(i+1)=='c')) || 
				          txt.length()>i+2 && ((txt.charAt(i+1)=='c' &&  txt.charAt(i+2)=='z') || 
						  (txt.charAt(i+1)=='d' && (txt.charAt(i+2)=='z'  || txt.charAt(i+2)==''))) )
				{
				  czas = 60; fo = base + a1 + a2;
				  sampa = "o";
				  czas2 = 80;
				  sampa2 = "n";
				  if ( txt.length()>i+1 && txt.charAt(i+1)==''  ||
				       txt.length()>i+2 && txt.charAt(i+1)=='d' && txt.charAt(i+2)=='' ||
				       txt.length()>i+3 && txt.charAt(i+1)=='d' && txt.charAt(i+2)=='z'&& txt.charAt(i+3)=='i')
				       {
					   	czas = 60; fo = base + a1 + a2;
				        sampa = "o";
						czas2 = 80;
						sampa2 = "n'";				
				       }
				}
				else  
				{
				czas = 100; fo = base + a1 + a2;
				sampa = "o~";
				}
			   }			   
			   
			   
			   if (znak == '')
			   {
			   	if (txt.length()>i+1 && (txt.charAt(i+1)== 'p' || txt.charAt(i+1)=='b') )
				{
					czas = 60; fo = base + a1 + a2;
					sampa = "e";
					czas2 = 80;
					sampa2 = "m";
				}
				else if (txt.length()>i+1 && (txt.charAt(i+1)== 'k' || txt.charAt(i+1)=='g') )
				{
					czas = 60; fo = base + a1 + a2;
					sampa = "e";
					czas2 = 70;
					sampa2 = "N";
				}
				else if (txt.length()>i+1 && (txt.charAt(i+1)== 'l' || txt.charAt(i+1)=='') )
				{
					czas = 60; fo = base + a1 + a2;
					sampa = "e";
				}
				
				else if ( (txt.length()>i+1 && (txt.charAt(i+1)== 't' || txt.charAt(i+1)=='d' || txt.charAt(i+1)=='c')) || 
				           txt.length()>i+2 && ((txt.charAt(i+1)=='c' &&  txt.charAt(i+2)=='z') ||
						  (txt.charAt(i+1)=='d' && (txt.charAt(i+2)=='z'  || txt.charAt(i+2)==''))) )
				{
					czas = 60; fo = base + a1 + a2;
				    sampa = "e";
					czas2 = 70;
				    sampa2 = "n";
				}
				  
				else if ( txt.length()>i+1 && txt.charAt(i+1)==''  ||
				       txt.length()>i+2 && (txt.charAt(i+1)=='d' && txt.charAt(i+2)=='') ||
				       txt.length()>i+3 && (txt.charAt(i+1)=='d' && txt.charAt(i+2)=='z'&& txt.charAt(i+3)=='i'))
				       {
					   	czas = 60; fo = base + a1 + a2;
				        sampa = "e";
						czas2 = 70;
						sampa2 = "n'";				
				       }
				
				else
				{  
					czas = 100; fo = base + a1 + a2;
				    sampa = "e~";
				}
			   }
			   
			   
			   
			   // spolgloski
			   
			   if (znak == 'f')
			   {
			   	czas = 70; fo = base + a1 + a2;
			   	sampa = "f";
			   }
			   
			   
			   if (znak == 'w')
			   {
			   	if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))||		
			        (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
				    (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					(i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					(i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))
					))
				{
					czas = 70; fo = base + a1 + a2;			
					sampa = "f";
				}
				else if (mark == 1 || i+1 == txt.length() )
				{
					czas = 90; fo = base + a1 + a2;
					sampa  = "f";
			    }
					  
				else
				{
					czas = 80; fo = base + a1 + a2;
				    sampa = "v";
				}
			   }
			   
			   
			   
			 if (znak == 'z')
			 {
			   	if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						 //  txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))||		
			        (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
				    (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					(i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					(i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))
					))
				{
					if (i+1<txt.length() && txt.charAt(i+1)=='i')
					{
						sampa = "s'";
						czas = 120; fo = base + a1 + a2;
						i++;
					}
					else 
					{
						czas = 70; fo = base + a1 + a2;
						sampa ="s";	
					}
				}
				else if (mark == 1 || i+1 == txt.length() )
				{
					czas = 90; fo = base + a1 + a2;
					sampa  = "s";
			    }
				else if(i+1<txt.length() && txt.charAt(i+1)=='i')
				{					
						sampa = "z'";
					    czas = 70; fo = base + a1 + a2;
					    i++;				
				}
				else
				{
					czas = 70; fo = base + a1 + a2;
				    sampa = "z";
				}
			}
			   
			if(znak == 's')
			{
				if(i+1<txt.length() && txt.charAt(i+1)=='z')
				{
					czas = 70; fo = base + a1 + a2;
					sampa = "S";
					i++;
				}
				else if(i+1<txt.length() && txt.charAt(i+1)=='i')
				{
					sampa = "s'";
					czas = 100; fo = base + a1 + a2;
					i++;
				}
				else
				{
					czas = 70; fo = base + a1 + a2;
					sampa = "s";
				}
			}
			
			
			if (znak == '')
			 {
			   	if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))||		
			        (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
				    (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					(i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					(i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))
					))
				{
					czas = 70; fo = base + a1 + a2;
					sampa ="S";	
				}
				else if (mark == 1 || i+1 == txt.length() )
				{
					czas = 70; fo = base + a1 + a2;
					sampa  = "S";
			    }
				else
				{
					czas = 70; fo = base + a1 + a2;
				    sampa = "Z";
				}
			}
			
			
			if (znak == '')
			{
				czas = 90; fo = base + a1 + a2;
				sampa = "s'";
			}
			
			
			if (znak == 'h')
			{
				czas = 90; fo = base + a1 + a2;
				sampa = "x";
			}
			
			if (znak == 'p')
			{
				czas = 60; fo = base + a1 + a2;
				sampa = "p";
			}
			
			if (znak == 't')
			{
				czas = 60; fo = base + a1 + a2;
				sampa = "t";
			}
			
			
			
			if (znak == '')
			 {
			   	if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))||		
			        (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
				    (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					(i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					(i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))
					))
				{
					czas = 100; fo = base + a1 + a2;
					sampa ="s'";	
				}
				else if (mark == 1 || i+1 == txt.length() )
				{
					czas = 100; fo = base + a1 + a2;
					sampa  = "s'";
			    }
				else
				{
					czas = 100; fo = base + a1 + a2;
				    sampa = "z'";
				}
			}
			
			
			
			if (znak == 'b')
			 {
			   	if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))||		
			        (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
				    (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					(i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					(i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))
					))
				{
					czas = 60; fo = base + a1 + a2;
					sampa ="p";	
				}
				else if (mark == 1 || i+1 == txt.length() )
				{
					czas = 60; fo = base + a1 + a2;
					sampa  = "p";
			    }
				else
				{
					czas = 60; fo = base + a1 + a2;
				    sampa = "b";
				}
			}
			
			
			
			if (znak == 'd')
			 {
			 	if(i+1<txt.length() && txt.charAt(i+1)=='z')
				{
					if(i+2<txt.length() && txt.charAt(i+2)=='i')
					{      
					  if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))		)
			/* ||       (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
			          (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					  (i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					  (i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))))*/
					  {
					  	czas = 100; fo = base + a1 + a2;
					    sampa  = "ts'";
					    i+=2;	
				      }
					  else
					  {
					  	czas = 100; fo = base + a1 + a2;
					    sampa  = "dz'";
					    i+=2;
					  }
					}
			        else 
					{
						if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))		)
			/* ||       (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
			          (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					  (i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					  (i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))))*/
					  {
					  	czas = 80; fo = base + a1 + a2;
					    sampa  = "ts";
					    i++;	
				      }
					  else if (txt.length()>i+2 && txt.charAt(i+2)== ' ' || i+2 == txt.length() 
					           || txt.charAt(i+2)== '.' || txt.charAt(i+2)== '!' || txt.charAt(i+2)== '?'
							   || txt.charAt(i+2)== ','|| txt.charAt(i+2)== '\n')
			          {
					  	czas = 80; fo = base + a1 + a2;
					  	sampa  = "ts";
						i++;
			          }
					  else
					  {
					  	czas = 70; fo = base + a1 + a2;
					    sampa  = "dz";
					    i++;
					  }
					}
				}
				else if(i+1<txt.length() && txt.charAt(i+1)=='')
				{
						if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))		)
			/* ||       (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
			          (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					  (i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					  (i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))))*/
					  {
					  	czas = 90; fo = base + a1 + a2;
					    sampa  = "tS";
					    i++;	
				      }
					  else if (txt.length()>i+2 && txt.charAt(i+2)== ' ' || i+2 == txt.length() 
					           || txt.charAt(i+2)== '.' || txt.charAt(i+2)== '!' || txt.charAt(i+2)== '?'
							   || txt.charAt(i+2)== ','|| txt.charAt(i+2)== '\n')
				      {
					  	czas = 80; fo = base + a1 + a2;
					    sampa  = "tS";
						i++;
			          }
					  else
					  {
					  	czas = 100; fo = base + a1 + a2;
					    sampa  = "dZ";
					    i++;
					  }
				}
				else if(i+1<txt.length() && txt.charAt(i+1)=='')
				{
						if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))		)
			/* ||       (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
			          (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					  (i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					  (i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))))*/
					  {
					  	czas = 100; fo = base + a1 + a2;
					    sampa  = "ts'";
					    i++;	
				      }
					  else if (txt.length()>i+2 && txt.charAt(i+2)== ' ' || i+2 == txt.length()
					           || txt.charAt(i+2)== '.' || txt.charAt(i+2)== '!' || txt.charAt(i+2)== '?'
							   || txt.charAt(i+2)== ','|| txt.charAt(i+2)== '\n')
				      {
					  	czas = 100; fo = base + a1 + a2;
					  	sampa  = "ts'";
						i++;
			          }
					  else
					  {
					  	czas = 100; fo = base + a1 + a2;
					    sampa  = "dz'";
					    i++;
					  }
				}
				else 
				{
						if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))		||
			          (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
			          (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					  (i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					  (i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))))
					  {
					  	czas = 70; fo = base + a1 + a2;
					    sampa  = "t";	
				      }
					  else if (mark == 1 || i+1 == txt.length() )
					  {
					  	czas = 70; fo = base + a1 + a2;
					  	sampa  = "t";
					  }
					  else
					  {
					  	czas = 60; fo = base + a1 + a2;
					    sampa  = "d";
					  }
				}	   
		}
		
		
		if (znak == 'k')
		{
			czas = 60; fo = base + a1 + a2;
			sampa = "k";
		}
		
		
		if (znak == 'g')
			 {
			   	if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))||		
			        (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
				    (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					(i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					(i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))
					))
				{
					czas = 70; fo = base + a1 + a2;
					sampa ="k";	
				}
				else if (mark == 1 || i+1 == txt.length() )
				{
					czas = 70; fo = base + a1 + a2;
					sampa  = "k";
				}
					  
				else
				{
					czas = 80; fo = base + a1 + a2;
				    sampa = "g";
				}
			}
			
		if(znak == 'c')
		{
			if(i+1<txt.length() && txt.charAt(i+1)=='z')
			{
				czas = 80; fo = base + a1 + a2;
				sampa = "tS";
				i++;
			}
			else if(i+1<txt.length() && txt.charAt(i+1)=='i')
			{
				czas = 100; fo = base + a1 + a2;
				sampa = "ts'";
				i++;
			}
			else if(i+1<txt.length() && txt.charAt(i+1)=='h')
			{
				czas = 80; fo = base + a1 + a2;
				sampa = "x";
				i++;
			}
			else
			{
				czas = 80; fo = base + a1 + a2;
				sampa = "ts";
			}
		}

		if (znak == '')
		{
			czas = 90; fo = base + a1 + a2;
			sampa = "ts'";
		}
		
		if (znak == 'm')
		{
			czas = 90; fo = base + a1 + a2;
			sampa = "m";
		}
		
		if(znak == 'n')
		{
			if(i+1<txt.length() && txt.charAt(i+1)=='k')
			{
				czas = 90; fo = base + a1 + a2;
				sampa = "N";
			}
			else if(i+1<txt.length() && txt.charAt(i+1)=='i')
			{
			    czas = 110; fo = base + a1 + a2;
				sampa = "n'";
				i++;
			}
			else
			{
				czas = 90; fo = base + a1 + a2;
				sampa = "n";
			}
		}
		
		if (znak == '')
		{
			czas = 70; fo = base + a1 + a2;
			sampa = "n'";
		}
		
		if (znak == '')
		{
			czas = 90; fo = base + a1 + a2;
			sampa = "w";
		}
		
		if (znak == 'j')
		{
			czas = 70; fo = base + a1 + a2;
			sampa = "j";
		}
		
		if (znak == 'l')
		{
			czas = 90; fo = base + a1 + a2;
			sampa = "l";
		}
		
		if(znak == 'r')
		{
			if(i+1<txt.length() && txt.charAt(i+1)=='z')
			{
				if ((i>0 &&(txt.charAt(i-1)=='t' || txt.charAt(i-1)=='k' ||
						   txt.charAt(i-1)=='p' || txt.charAt(i-1)=='f' ||
						   txt.charAt(i-1)=='s' || txt.charAt(i-1)=='c' ||
						   txt.charAt(i-1)=='h' || txt.charAt(i-1)=='' ||
						   txt.charAt(i-1)==''))||		
			        (i>1 && ((txt.charAt(i-1)=='h' && txt.charAt(i-2)=='c') ||
					       (txt.charAt(i-1)=='z' && (txt.charAt(i-2)=='s' || txt.charAt(i-1)=='c')))) ||
				    (i>0 && i==txt.length()-1 && (txt.charAt(i-1)=='e' ||
					        txt.charAt(i-1)=='u' || txt.charAt(i-1)=='' ||
					        txt.charAt(i-1)=='i' || txt.charAt(i-1)=='a' ||
					        txt.charAt(i-1)=='o')) ||		
					(i+1<txt.length() && (txt.charAt(i+1)=='t' ||
						    txt.charAt(i+1)=='k' || txt.charAt(i+1)=='p' ||
					        txt.charAt(i+1)=='f' || txt.charAt(i+1)=='s' || 
						    txt.charAt(i+1)=='c' || txt.charAt(i+1)=='h' || 
						    txt.charAt(i+1)=='' || txt.charAt(i+1)==''))||
					(i+2<txt.length() && ((txt.charAt(i+2)=='h' && txt.charAt(i+1)=='c') ||
					       (txt.charAt(i+1)=='z' && 
					       (txt.charAt(i+2)=='s' || txt.charAt(i+1)=='c')))
					))
				{
					czas = 70; fo = base + a1 + a2;
				    sampa = "S";
				    i++;
				}
				else if (txt.length()>i+2 && txt.charAt(i+2)== ' ' || i+2 == txt.length() 
				      || txt.charAt(i+2)== '.' || txt.charAt(i+2)== '!' || txt.charAt(i+2)== '?'
					  || txt.charAt(i+2)== ','|| txt.charAt(i+2)== '\n')
				{
					czas = 70; fo = base + a1 + a2;
					sampa  = "S";
					i++;
			    }
	            else
	            {
					czas = 70; fo = base + a1 + a2;
				    sampa = "Z";
				    i++;
	            }
			}
			else
			{
				czas = 40; fo = base + a1 + a2;
				sampa = "r";
			}
		}
		
		if (znak == '1')
		{		
			text2.append(" jeden ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("j 70 0 220");
			bw.newLine();
			bw.write("e 60 0 230");
			bw.newLine();
			bw.write("d 60 0 240");
			bw.newLine();
			bw.write("e 60 0 225");
			bw.newLine();
			bw.write("n 90 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		if (znak == '2')
		{		
			text2.append(" dva ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("d 60 0 220");
			bw.newLine();
			bw.write("v 90 0 230");
			bw.newLine();
			bw.write("a 60 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		if (znak == '3')
		{		
			text2.append(" tSI ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("t 60 0 220");
			bw.newLine();
			bw.write("S 70 0 233");
			bw.newLine();
			bw.write("I 60 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		if (znak == '4')
		{		
			text2.append(" tSterI ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("tS 80 0 230");
			bw.newLine();
			bw.write("t 60 0 235");
			bw.newLine();
			bw.write("e 60 0 240");
			bw.newLine();
			bw.write("r 50 0 225");
			bw.newLine();
			bw.write("I 60 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		if (znak == '5')
		{		
			text2.append(" pien'ts' ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("p 60 0 220");
			bw.newLine();
			bw.write("i 60 0 240");
			bw.newLine();
			bw.write("e 60 0 230");
			bw.newLine();
			bw.write("n' 70 0 225");
			bw.newLine();
			bw.write("ts' 90 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		if (znak == '6')
		{		
			text2.append(" Ses'ts' ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("S 70 0 230");
			bw.newLine();
			bw.write("e 60 0 240");
			bw.newLine();
			bw.write("s' 90 0 225");
			bw.newLine();
			bw.write("ts' 90 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		if (znak == '7')
		{		
			text2.append(" s'edem ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("s' 100 0 230");
			bw.newLine();
			bw.write("e 60 0 240");
			bw.newLine();
			bw.write("d 60 0 235");
			bw.newLine();
			bw.write("e 60 0 225");
			bw.newLine();
			bw.write("m 90 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		if (znak == '8')
		{		
			text2.append(" os'em ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("o 60 0 220");
			bw.newLine();
			bw.write("s' 100 0 240");
			bw.newLine();
			bw.write("e 60 0 225");
			bw.newLine();
			bw.write("m 90 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		if (znak == '9')
		{		
			text2.append(" dz'evien'ts' ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("dz' 100 0 235");
			bw.newLine();
			bw.write("e 60 0 240");
			bw.newLine();
			bw.write("v 70 0 235");
			bw.newLine();
			bw.write("i 60 0 230");
			bw.newLine();
			bw.write("e 60 0 225");
			bw.newLine();
			bw.write("n' 70 0 220");
			bw.newLine();
			bw.write("ts' 90 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		if (znak == '0')
		{		
			text2.append(" zero ");	
			
			bw.write("_ 100");
			bw.newLine();
			bw.write("z 70 0 220");
			bw.newLine();
			bw.write("e 60 0 240");
			bw.newLine();
			bw.write("r 50 0 225");
			bw.newLine();
			bw.write("o 60 0 210");
			bw.newLine();
			bw.write("_ 100");
			bw.newLine();	
		}
		
		
		if (znak == ' ')
		{		
			text2.append(" ");	
			
			if (mark==0)
			{
			ktoryWyraz++;
			counter = i;
			litery = policzLitery(txt, i+1);
			//System.out.println(litery);	
			}
		}
		
		if (znak == '\n')
		{	
			text2.append("\n");	
			if (mark==0)
			{
				counter = i;
			    litery = policzLitery(txt, i+1);
			    //System.out.println(litery);
			    ktoryWyraz++;
			}
			
		}
		if (znak == ',')
		{
			text2.append(" ");
			bw.write("_ 100");
			bw.newLine();
			
			if (mark==0)
			{
				counter = i;
				ktoryWyraz++;
			    litery = policzLitery(txt, i+1);
			    //System.out.println(litery);
			}
		}
		
		if (znak == '.')
		{
			text2.append(".");
			bw.write("_ 100");
			bw.newLine();
			if (mark == 0)
			{
				counter = i;
			   litery = policzLitery(txt, i+1);
			   //System.out.println(litery);
			   ktoryWyraz++;
			}
		}
		
		if (znak == '?')
		{
			text2.append("? ");
			bw.write("_ 100");
			bw.newLine();			
			if (mark==0)
			{
				counter = i;
				ktoryWyraz++;
			    litery = policzLitery(txt, i+1);
			    //System.out.println(litery);
			}
		}
		
		if (znak == '!')
		{
			text2.append("!");
			bw.write("_ 100");
			bw.newLine();
			if (mark == 0)
			{
				counter = i;
			    litery = policzLitery(txt, i+1);
			    //System.out.println(litery);
			    ktoryWyraz++;
			}
		}
		a1 = 0;
		a2 = 0;
		mark = 0;	
			   
		//System.out.println(znak);
			   
			   
		if (sampa != "none")
		{
		       if (sampa2 != "none")
			   {
			   	text2.append(sampa);					
			    bw.write(sampa+ " " + czas + " 0 " + fo);
			    bw.newLine();
				text2.append(sampa2);
			    bw.write(sampa2+ " " + czas2 + " 0 " + fo);
			    bw.newLine();
			   }
		          
			   else 
			   {  
			   text2.append(sampa);
			   bw.write(sampa+ " " + czas + " 0 " + fo);
			   bw.newLine();
			   }
		}
	    
		
		
		
	}     // koniec petli
	
	if ( bezZnaku == 1)
		{
			bw.write("_ 100");
			bw.newLine();	
		}
	
		  //System.out.println(ktoryWyraz);
		  bw.close();
		  osw.close();
		  fos.close();
	}
	catch(IOException e){} 
  }
	
	private int policzWyrazy(String a)
	{
		int count = 0;
		int bylZnak=0;
		
		for (int i=0;i<=a.length();i++)
		{
			
			if (a.length()>i+1 && ( a.charAt(i+1) == '.'  || a.charAt(i+1) == '?' || a.charAt(i+1) == '\n' ||
		                        a.charAt(i+1) == '!' || a.charAt(i+1) == ','|| a.charAt(i+1) == ' ' ))
		    {
				if ( bylZnak != 1)
				{
		    	count++;
				}
				bylZnak=1;
				if (a.length()>i+2 && ( a.charAt(i+2) == '.'  || a.charAt(i+2) == '?' || a.charAt(i+2) == '\n' ||
			                       a.charAt(i+2) == '!' || a.charAt(i+2) == ','|| a.charAt(i+2) == ' ' ))
				{
					i++;
				}			
		    }
			else if ( i+1 == a.length() && bylZnak == 0)
		    {
			    count++;
		    }
			else bylZnak = 0;	
		}
		return count;
	}
	private int policzLitery(String a, int x)
	{
		int count = 0;
		
		for (int i=x ;i+1 <=a.length();i++)
		{
			
			if (a.length()>=i+1 && a.charAt(i) != '.'  && a.charAt(i) != '?' && a.charAt(i) != '\n' &&
			                       a.charAt(i) != '!' && a.charAt(i) != ','&& a.charAt(i) != ' ' )
		    {
		    	count++;		
		    }
			if (a.length()>=i+1 && (a.charAt(i) == '.'  || a.charAt(i) == '?' || a.charAt(i) == '\n' ||
			                       a.charAt(i) == '!' || a.charAt(i) == ','|| a.charAt(i) == ' ' ))
			{
		    return count;
			}
			
		}
		return count;
	}
	
	
}
